<?php

namespace App\Mobile\Synchronization\Requests;

use App\Domain\Logs\Model\ErrorLog;
use App\Domain\Logs\Service\SaveError;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\ValidationException;

class SyncRouteRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    protected function failedValidation(Validator $validator)
    {
        SaveError::generateLog(ErrorLog::MOVEL_GET_SYNC_ROUTE, json_encode($this->all()), $validator->errors()->toJson());
        parent::failedValidation($validator);
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'route_id' => 'required|integer',
        ];
    }
}
