<?php


namespace App\RestApi\ServiceOrder\Requests;


use Freelabois\LaravelQuickstart\Traits\RequestValidator;
use Illuminate\Foundation\Http\FormRequest;

class ServiceOrderRequest extends FormRequest
{
    use RequestValidator;


    public array $post_rules = [
        "os_numero" => "string|max:30|nullable",
        "os_fk_pes_codigo" => "required|integer|exists:dynamicdb.acesso.pessoa,pes_codigo",
        "os_numero_contrato" => "string|nullable",
        "os_recursos" => "required|json",
        "os_campos" => "required|json",
        "os_data_agendamento" => "string|date_format:Y-m-d H:i:s|nullable",
        "os_data_fechamento" => "string|date_format:Y-m-d H:i:s|nullable",
        "os_fk_sto_codigo" => "required|integer|exists:dynamicdb.os.status_os,sto_codigo",
        "os_observacao" => "string|nullable",
        "os_fk_fil_codigo" => "integer|nullable|exists:dynamicdb.cadastro.filial,fil_codigo",
        "os_fk_con_codigo" => "integer|nullable|exists:dynamicdb.ged.contrato,con_codigo",
        "os_end_distancia_km" => "numeric|nullable",
        "os_valor_total_km" => "numeric|nullable",
        "os_valor_total_hora_deslocamento" => "numeric|nullable",
        "os_valor_total_pedagio" => "numeric|nullable",
        "os_fk_tse_codigo" => "integer|nullable|exists:dynamicdb.os.tipo_servico,tse_codigo",
        "os_tipo" => "string|max:30|nullable",
        "os_fk_os_codigo" => "string|max:30|nullable", //WTF - Não tem integridade NENHUMA
        "os_numero_tipo" => "integer|nullable",
        "os_fk_usu_codigo_vendedor" => "integer|nullable|exists:dynamicdb.acesso.usuario,usu_codigo",
        "os_descriminacao_servico" => "string|nullable",
        "os_data_validade" => "string|date_format:Y-m-d H:i:s|nullable"
    ];

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }
}
