<?php

namespace App\RestApi\ServiceOrder\Requests;

use Freelabois\LaravelQuickstart\Traits\RequestValidator;
use Illuminate\Foundation\Http\FormRequest;

class ServiceOrderVisitationRequest extends FormRequest
{
    use RequestValidator;

    public $post_rules = [
        "vis_observacao" => "string|max:100",
        "vis_fk_mov_codigo" => "required|integer|exists:dynamicdb.movimentacao.motivo_visita,mov_codigo",
        "vis_fk_pes_codigo" => "required|integer|exists:dynamicdb.cadastro.pessoa,pes_codigo",
        "vis_fk_pes_codigo_vdr" => "required|integer|exists:dynamicdb.cadastro.pessoa,pes_codigo",
        "vis_data_movel" => "required|string|date_format:Y-m-d H:i:s",
        "vis_distancia" => "required|numeric",
    ];

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
